<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.13"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Ciao Code Documentation: nga_cf_cold_func::scalar_bc_hook Interface Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Ciao Code Documentation
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.13 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="namespacenga__cf__cold__func.html">nga_cf_cold_func</a></li><li class="navelem"><a class="el" href="interfacenga__cf__cold__func_1_1scalar__bc__hook.html">scalar_bc_hook</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="interfacenga__cf__cold__func_1_1scalar__bc__hook-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">nga_cf_cold_func::scalar_bc_hook Interface Reference</div>  </div>
</div><!--header-->
<div class="contents">
<div id="dynsection-0" onclick="return toggleVisibility(this)" class="dynheader closed" style="cursor:pointer;">
  <img id="dynsection-0-trigger" src="closed.png" alt="+"/> Collaboration diagram for nga_cf_cold_func::scalar_bc_hook:</div>
<div id="dynsection-0-summary" class="dynsummary" style="display:block;">
</div>
<div id="dynsection-0-content" class="dyncontent" style="display:none;">
<div class="center"><img src="interfacenga__cf__cold__func_1_1scalar__bc__hook__coll__graph.png" border="0" usemap="#nga__cf__cold__func_1_1scalar__bc__hook_coll__map" alt="Collaboration graph"/></div>
<map name="nga__cf__cold__func_1_1scalar__bc__hook_coll__map" id="nga__cf__cold__func_1_1scalar__bc__hook_coll__map">
</map>
</div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:a8fe3ce1c57a677b10cc2ea355dc49a11"><td class="memItemLeft" align="right" valign="top">subroutine&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="interfacenga__cf__cold__func_1_1scalar__bc__hook.html#a8fe3ce1c57a677b10cc2ea355dc49a11">scalar_bc_hook</a> (boundary, scalar, cfd, CHECK_BC)</td></tr>
<tr class="separator:a8fe3ce1c57a677b10cc2ea355dc49a11"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<h2 class="groupheader">Constructor &amp; Destructor Documentation</h2>
<a id="a8fe3ce1c57a677b10cc2ea355dc49a11"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a8fe3ce1c57a677b10cc2ea355dc49a11">&#9670;&nbsp;</a></span>scalar_bc_hook()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">subroutine nga_cf_cold_func::scalar_bc_hook::scalar_bc_hook </td>
          <td>(</td>
          <td class="paramtype">type(<a class="el" href="structsd__boundary__defs_1_1boundary__.html">boundary_</a>), intent(inout)&#160;</td>
          <td class="paramname"><em>boundary</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">type(<a class="el" href="structscalar__defs_1_1scalar__.html">scalar_</a>), intent(inout)&#160;</td>
          <td class="paramname"><em>scalar</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">type(<a class="el" href="structcfd__defs_1_1cfd__.html">cfd_</a>), intent(inout)&#160;</td>
          <td class="paramname"><em>cfd</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">logical, intent(in), optional&#160;</td>
          <td class="paramname"><em>CHECK_BC</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="reference">References <a class="el" href="namespacenga__cf__cold__func.html#a954f8dc1c6cf2254c9e29584492937dc">nga_cf_cold_func::cf_cold_init_step1()</a>, <a class="el" href="namespacecfd__func.html#a6b0f8dc951d14afea9a1002a6553d93a">cfd_func::cfd_field_init()</a>, <a class="el" href="namespacecfd__func.html#a9a10281e8478b33ef6a46cda48591adb">cfd_func::cfd_init()</a>, <a class="el" href="namespacecfd__func.html#a61cb1628bacb072829d5f529c8bfd1b1">cfd_func::cfd_prestep1()</a>, <a class="el" href="namespacecfd__func.html#a441aca3b8b843693ef99e45141839e9d">cfd_func::cfd_register_data()</a>, <a class="el" href="arts_2arts__hooks_8f90.html#a7a8a483be87e88a7f2552b124d938f69">initial_hook()</a>, <a class="el" href="namespacesd__io.html#a2b47bb0e9595c2e5ddf9ea03eaba9d34">sd_io::interp_from_file()</a>, <a class="el" href="namespacesd__io.html#a7fef28bcbeeb29fff88ab5cd89465393">sd_io::read_sd_data()</a>, <a class="el" href="arts_2arts__hooks_8f90.html#acb86792a9a23b981d4a7d29a4a9a9b5f">register_hook()</a>, <a class="el" href="namespacecfd__tools.html#a0556bc00b636fe03ca978e726709a9c6">cfd_tools::sd_init_single_cfd()</a>, and <a class="el" href="namespacesd__func.html#a17b9fb26fff9af2ed6407e9ae41b3343">sd_func::sd_init_step2()</a>.</p>
<div id="dynsection-1" onclick="return toggleVisibility(this)" class="dynheader closed" style="cursor:pointer;">
  <img id="dynsection-1-trigger" src="closed.png" alt="+"/> Here is the call graph for this function:</div>
<div id="dynsection-1-summary" class="dynsummary" style="display:block;">
</div>
<div id="dynsection-1-content" class="dyncontent" style="display:none;">
<div class="center"><img src="interfacenga__cf__cold__func_1_1scalar__bc__hook_a8fe3ce1c57a677b10cc2ea355dc49a11_cgraph.png" border="0" usemap="#interfacenga__cf__cold__func_1_1scalar__bc__hook_a8fe3ce1c57a677b10cc2ea355dc49a11_cgraph" alt=""/></div>
<map name="interfacenga__cf__cold__func_1_1scalar__bc__hook_a8fe3ce1c57a677b10cc2ea355dc49a11_cgraph" id="interfacenga__cf__cold__func_1_1scalar__bc__hook_a8fe3ce1c57a677b10cc2ea355dc49a11_cgraph">
<area shape="rect" id="node2" href="namespacenga__cf__cold__func.html#a954f8dc1c6cf2254c9e29584492937dc" title="nga_cf_cold_func::cf\l_cold_init_step1" alt="" coords="237,887,379,929"/>
<area shape="rect" id="node3" href="namespacecfd__func.html#a9a10281e8478b33ef6a46cda48591adb" title="cfd_func::cfd_init" alt="" coords="462,795,585,821"/>
<area shape="rect" id="node16" href="namespacecfd__func.html#a441aca3b8b843693ef99e45141839e9d" title="cfd_func::cfd_register_data" alt="" coords="433,1004,613,1031"/>
<area shape="rect" id="node19" href="namespacesd__io.html#a2b47bb0e9595c2e5ddf9ea03eaba9d34" title="sd_io::interp_from_file" alt="" coords="680,375,831,401"/>
<area shape="rect" id="node31" href="namespacesd__io.html#a7fef28bcbeeb29fff88ab5cd89465393" title="sd_io::read_sd_data" alt="" coords="454,953,593,980"/>
<area shape="rect" id="node34" href="arts_2arts__hooks_8f90.html#acb86792a9a23b981d4a7d29a4a9a9b5f" title="register_hook" alt="" coords="473,1055,573,1081"/>
<area shape="rect" id="node35" href="namespacecfd__tools.html#a0556bc00b636fe03ca978e726709a9c6" title="sd initialization routine " alt="" coords="463,594,584,635"/>
<area shape="rect" id="node36" href="namespacesd__func.html#a17b9fb26fff9af2ed6407e9ae41b3343" title="sd_func::sd_init_step2" alt="" coords="447,1105,600,1132"/>
<area shape="rect" id="node38" href="namespacecfd__func.html#a6b0f8dc951d14afea9a1002a6553d93a" title="cfd_func::cfd_field_init" alt="" coords="447,1417,600,1444"/>
<area shape="rect" id="node47" href="namespacecfd__func.html#a61cb1628bacb072829d5f529c8bfd1b1" title="cfd_func::cfd_prestep1" alt="" coords="231,1395,385,1421"/>
<area shape="rect" id="node50" href="arts_2arts__hooks_8f90.html#a7a8a483be87e88a7f2552b124d938f69" title="initial_hook" alt="" coords="265,1445,351,1472"/>
<area shape="rect" id="node37" href="namespacesd__func.html#ab5a5b6d129f993c35a04a4f5486129cc" title="sd_func::sd_init_step3" alt="" coords="447,895,600,921"/>
<area shape="rect" id="node4" href="namespaceimplicit__func.html#a89c81d7490cda93505856a5d563b368a" title="implicit_func::build\l_work_implicit" alt="" coords="918,778,1049,819"/>
<area shape="rect" id="node5" href="namespacecfd__func.html#aec7c528ad9731946404769e34f0beaef" title="cfd_func::cfd_check_bcs" alt="" coords="671,593,839,620"/>
<area shape="rect" id="node6" href="namespacecfd__filter.html#a1af8ab0bc5b276a69f7439ab497f80e7" title="cfd_filter::cfd_filter_init" alt="" coords="678,863,833,889"/>
<area shape="rect" id="node10" href="namespacecfd__hybrid__conv.html#aca10f0a39752437f924d5f800f9eff5f" title="cfd_hybrid_conv::cfd\l_hyb_init" alt="" coords="684,645,827,686"/>
<area shape="rect" id="node11" href="namespacecfd__func.html#a5f0ec14a3b9d76c8b6657d18b5bc868c" title="cfd_func::cfd_monitor\l_preset_init" alt="" coords="681,477,829,518"/>
<area shape="rect" id="node12" href="namespacecfd__sponge.html#a50a74ed50d61792c4e229227c99b7ba1" title="cfd_sponge::cfd_sponge_init" alt="" coords="661,543,849,569"/>
<area shape="rect" id="node13" href="namespaceimplicit__func.html#a1d03ea7f925391e4e198f7d884cb39f0" title="implicit_func::implicit_init" alt="" coords="671,1081,839,1108"/>
<area shape="rect" id="node15" href="cfd__func_8f90.html#a70ca0ef3435b0e2515b28304985dc78f" title="read_metric_conv_option" alt="" coords="900,625,1067,652"/>
<area shape="rect" id="node7" href="namespaceparser.html#a78c63fa231dbf4d7adae5c4ba724d6ee" title="parser::get_param" alt="" coords="920,1199,1047,1225"/>
<area shape="rect" id="node9" href="nga__func_8f90.html#a4835a9bc4cd4689901e7dad9a8ec75b5" title="graceful_exit" alt="" coords="1151,971,1247,997"/>
<area shape="rect" id="node8" href="namespaceparser.html#ab0e00b1de2b23d9655cc7707e51ebae9" title="parser::in_param_rewind" alt="" coords="1117,1199,1281,1225"/>
<area shape="rect" id="node14" href="namespaceparser.html#afe98c2a7b51f910e0c9f943ba122313c" title="parser::in_param_jump_to" alt="" coords="897,1097,1069,1124"/>
<area shape="rect" id="node17" href="namespacecfd__func.html#a1bd7ba2a0ab846a5936adb94ed31de3c" title="cfd_func::cfd_register\l_data_primary" alt="" coords="909,1250,1057,1291"/>
<area shape="rect" id="node18" href="namespacecfd__sponge.html#a6b9a5e93bb49a5bb6160e458e208422a" title="cfd_sponge::cfd_sponge\l_register_data" alt="" coords="673,1133,837,1174"/>
<area shape="rect" id="node20" href="namespaceparser.html#a672f9533d208535f5b0268200dafbf83" title="parser::end_of_a_param" alt="" coords="902,1519,1065,1545"/>
<area shape="rect" id="node21" href="namespacesd__io.html#a26010a271195340bfc55798bac6b5d0c" title="sd_io::read_sd_grid\l_file_list" alt="" coords="916,81,1051,122"/>
<area shape="rect" id="node22" href="namespacesd__func.html#a16fa0e67a1a14a9d838701ad752672e6" title="sd_func::sd_init_step1\l_serial" alt="" coords="907,277,1060,318"/>
<area shape="rect" id="node23" href="namespacesd__io__v002.html#ae3bd6fbb89c66724bc4eae807bb1025e" title="sd_io_v002::interp\l_from_file_v002" alt="" coords="919,342,1047,383"/>
<area shape="rect" id="node24" href="namespacesd__io__interp__m.html#a4613a4928b51f5ce3c2da38f012194d6" title="sd_io_interp_m::get\l_first_io_interp" alt="" coords="1131,211,1267,253"/>
<area shape="rect" id="node25" href="namespacesd__io__v003.html#a41bc5e88fb7215e5709047ab367fc157" title="sd_io_v003::interp\l_from_file_v003" alt="" coords="919,146,1047,187"/>
<area shape="rect" id="node27" href="namespacesd__io__interp__m.html#a5a1b414fac4a882e538ee998c48b12e3" title="sd_io_interp_m::get\l_io_interp" alt="" coords="1131,146,1267,187"/>
<area shape="rect" id="node28" href="namespacesd__io__v006.html#acb5e57b69be1478892ddd2b6773e90fb" title="sd_io_v006::interp\l_from_file_v006" alt="" coords="919,211,1047,253"/>
<area shape="rect" id="node29" href="namespacesd__io__interp__m.html#a04cdd1d1285a357422420c6d2a0181d6" title="sd_io_interp_m::destroy\l_io_interp" alt="" coords="903,407,1064,449"/>
<area shape="rect" id="node30" href="namespacelink__sd.html#ae60c9cd8348f84a7c715287498288623" title="link_sd::link_sd_to" alt="" coords="918,473,1049,500"/>
<area shape="rect" id="node26" href="namespaceparser.html#a37469d8ebb80992941bd709e551b98ef" title="parser::check_param" alt="" coords="1127,476,1271,503"/>
<area shape="rect" id="node32" href="namespacesd__io__v005.html#ae6f2a4b338fd6fa27e078da38465ced8" title="sd_io_v005::read_sd\l_data_v005" alt="" coords="684,965,827,1006"/>
<area shape="rect" id="node33" href="namespaceparser.html#ab50a57ecbb8ee75ba25686ba57172a4f" title="parser::set_param" alt="" coords="920,945,1047,972"/>
<area shape="rect" id="node39" href="namespacecfd__func.html#a3bc0afbd362831bbed52d7d2adb5dd82" title="cfd_func::cfd_sync\l_state_vars" alt="" coords="689,1570,822,1611"/>
<area shape="rect" id="node40" href="namespacecfd__func.html#a18fe897fe21d23aa89dd6c051165f0cd" title="cfd_func::cfd_velocity_cfl" alt="" coords="670,1636,841,1663"/>
<area shape="rect" id="node41" href="inflow__file_8f90.html#ab5fbe0fbb90d0e83e06986315501122c" title="inflow_file_init" alt="" coords="931,1367,1035,1393"/>
<area shape="rect" id="node42" href="inflow__file__c_8f90.html#ac84737a975356e26ddf1325a57db8515" title="inflow_file_init_c" alt="" coords="924,1417,1043,1444"/>
<area shape="rect" id="node43" href="inflow__generation_8f90.html#a267f8309ac668558a889f53612d2f56e" title="inflow_generation_init" alt="" coords="682,1468,829,1495"/>
<area shape="rect" id="node44" href="inflow__generation__c_8f90.html#aa9c136a6ce6f10966d3f76f32af36a30" title="inflow_generation_init_c" alt="" coords="675,1519,836,1545"/>
<area shape="rect" id="node45" href="namespaceinflow__profile.html#a5134ac607d29c5e6f2b51e46f73c306f" title="inflow_profile::inflow\l_profile_init" alt="" coords="685,1301,825,1342"/>
<area shape="rect" id="node46" href="namespacevdf__func.html#ae239656d0b7b319f9d4af3d9c93d320a" title="vdf_func::vdf_reset\l_field_vars" alt="" coords="688,1687,823,1729"/>
<area shape="rect" id="node48" href="namespacevdf__ib__model.html#a5648ed8ca72213c2bb6f52d75091a7dc" title="vdf_ib_model::ib_wall\l_rans_eddy_visc_update" alt="" coords="440,1469,607,1510"/>
<area shape="rect" id="node49" href="namespacecfd__hooks__interface__data.html#a56f78d2890986dba7ba2382ccdc202ac" title="cfd_hooks_interface\l_data::set_cfd_for_hook" alt="" coords="442,1534,605,1575"/>
</map>
</div>

</div>
</div>
<hr/>The documentation for this interface was generated from the following file:<ul>
<li><a class="el" href="nga__cf__cold__func__exp_8f90.html">nga_cf_cold_func_exp.f90</a></li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated on Fri Aug 7 2020 16:17:52 for Ciao Code Documentation by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.13
</small></address>
</body>
</html>
